@Echo Off
Cls
Echo 
Echo  TurboBANK Module Installation                               [SB95]
Echo 
Echo.
Echo   This batch file will install  the external modules provided with
Echo   TurboBANK  (Indy Car Racing,  Slot Machines,  and  TurboSCRATCH)
Echo   into  TurboBANK and  TurboBANK Setup.  After  installation,  you
Echo   will need to run TBSETUP to configure each module  individually.
Echo.
Echo   Press any key to continue or Ctl+C to abort...
Echo.
Echo 
Pause > Nul
Cls
If Not Exist TBANK.EXE Goto EXENotHere
Echo 
Echo  TurboBANK Module Installation                               [SB95]
Echo 
Echo.
Echo   Installing Indy Car Racing...

Echo. >> TBMODCFG.CTL
Echo [Indy Racing]>> TBMODCFG.CTL
Echo cfgfile=INDY.CFG>> TBMODCFG.CTL
Echo valuetype=integer>> TBMODCFG.CTL
Echo maximum=120>> TBMODCFG.CTL
Echo default=5>> TBMODCFG.CTL
Echo question=Max time bet (returns 2:1)>> TBMODCFG.CTL
Echo maximum=2000>> TBMODCFG.CTL
Echo default=300>> TBMODCFG.CTL
Echo question=Max KB bet (returns 2:1)>> TBMODCFG.CTL
Echo maximum=9999>> TBMODCFG.CTL
Echo default=10>> TBMODCFG.CTL
Echo question=Max plays per user per day>> TBMODCFG.CTL

Echo      Installed into TurboBANK Setup

Echo Indy Car Racing>> MODULES.IDX
Echo INDY.EXE>> MODULES.IDX
Echo N>> MODULES.IDX

Echo      Installed into TurboBANK
Echo.
Echo   Installing Slot Machines...

Echo. >> TBMODCFG.CTL
Echo [Slot Machines]>> TBMODCFG.CTL
Echo cfgfile=SLOTS.CFG>> TBMODCFG.CTL
Echo valuetype=integer>> TBMODCFG.CTL
Echo default=5>> TBMODCFG.CTL
Echo maximum=30>> TBMODCFG.CTL
Echo question=Cost to play>> TBMODCFG.CTL
Echo maximum=20>> TBMODCFG.CTL
Echo default=10>> TBMODCFG.CTL
Echo question=Heart returns (x:1)>> TBMODCFG.CTL
Echo default=8>> TBMODCFG.CTL
Echo question=Diamond returns (x:1)>> TBMODCFG.CTL
Echo default=5>> TBMODCFG.CTL
Echo question=Club returns (x:1)>> TBMODCFG.CTL
Echo default=3>> TBMODCFG.CTL
Echo question=Spade returns (x:1)>> TBMODCFG.CTL
Echo maximum=9999>> TBMODCFG.CTL
Echo default=10>> TBMODCFG.CTL
Echo question=Max plays per user per day>> TBMODCFG.CTL

Echo      Installed into TurboBANK Setup

Echo Slot Machines>> MODULES.IDX
Echo SLOTS.EXE>> MODULES.IDX
Echo N>> MODULES.IDX

Echo      Installed into TurboBANK
Echo,

Echo   Installing TurboSCRATCH...

Echo. >> TBMODCFG.CTL
Echo [TurboSCRATCH Scratch & Win] >> TBMODCFG.CTL
Echo cfgfile=TSCRATCH.CFG >> TBMODCFG.CTL
Echo valuetype=integer >> TBMODCFG.CTL
Echo maximum=2000 >> TBMODCFG.CTL
Echo default=2000 >> TBMODCFG.CTL
Echo question=KB prize #1 (low chance) >> TBMODCFG.CTL
Echo default=1500 >> TBMODCFG.CTL
Echo question=KB prize #2 >> TBMODCFG.CTL
Echo default=1000 >> TBMODCFG.CTL
Echo question=KB prize #3 >> TBMODCFG.CTL
Echo default=500 >> TBMODCFG.CTL
Echo question=KB prize #4 >> TBMODCFG.CTL
Echo default=100 >> TBMODCFG.CTL
Echo question=KB prize #5 (high chance) >> TBMODCFG.CTL
Echo maximum=60 >> TBMODCFG.CTL
Echo default=60 >> TBMODCFG.CTL
Echo question=Time prize #1 (low chance) >> TBMODCFG.CTL
Echo default=50 >> TBMODCFG.CTL
Echo question=Time prize #2 >> TBMODCFG.CTL
Echo default=30 >> TBMODCFG.CTL
Echo question=Time prize #3 >> TBMODCFG.CTL
Echo default=20 >> TBMODCFG.CTL
Echo question=Time prize #4 >> TBMODCFG.CTL
Echo default=5 >> TBMODCFG.CTL
Echo question=Time prize #5 (high chance) >> TBMODCFG.CTL
Echo maximum=9999 >> TBMODCFG.CTL
Echo default=10 >> TBMODCFG.CTL
Echo question=Max plays per user per day >> TBMODCFG.CTL

Echo      Installed into TurboBANK Setup

Echo TurboSCRATCH>> MODULES.IDX
Echo TSCRATCH.EXE>> MODULES.IDX
Echo N>> MODULES.IDX

Echo      Installed into TurboBANK
Echo.
Echo   Modules installed.
Echo.
Echo   Please run TBSETUP now and select External Module Setup to
Echo   configure the above modules for use.
Echo.
Echo 
Goto Quit
:EXENotHere
Echo  Please run this batch file from the TurboBANK directory to install.
Echo  Installation aborted!
:Quit
